/**
  *  \file client/chart/keymapmode.h
  *  \brief Starchart Mode: WKeymapChartMode
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_CHART_KEYMAPMODE_H
#define PCC_V2_CLIENT_CHART_KEYMAPMODE_H

#include "int/keymap.h"
#include "client/chartmode.h"

/** Starchart mode for dealing with alternative keymaps. */
class WKeymapChartMode : public WSimpleChartMode {
 public:
    ~WKeymapChartMode();
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);

    static void startKeymapMode(WChartModeList& chart_modes, IntKeymapRef km, int prefix);

 private:
    IntKeymapRef keymap;
    int prefix;
    int time;

    WKeymapChartMode(IntKeymapRef km, int prefix);
};

#endif
