/**
  *  \file client/dlg-tech.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DLG_TECH_H
#define PCC_V2_CLIENT_DLG_TECH_H

#include "ui/ui.h"
#include "game/cargo.h"
#include "game/planet.h"

class GStarbaseTechUpgradeAction;
class GCargoCostTransaction;
class GUniverse;

// Generic cost display.
class WCostDisplay : public UIWidget {
    GCargoCostTransaction& action;
    GCargoTypeSet mask;
    
    int getLines() const;
 public:
    WCostDisplay(GCargoCostTransaction& action, GCargoTypeSet mask);

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

void doTechUpgradeDialog(GPlanet& planet);

#endif
