#!/bin/bash
#
#  Build with coverage
#
#  Check out pcc-v2 into an empty directory.
#  Call this script.
#  It will produce output in report/.
#
set -e

./configure LDFLAGS="-fprofile-arcs -ftest-coverage" CXXFLAGS="-O0 -fprofile-arcs -ftest-coverage"
make -j4 CXXTESTDIR=$HOME/src/cxxtest testsuite
mkdir -p cov
lcov -c -d . -i -o cov/base.info
lcov -z -d .
./testsuite 
lcov -c -d . -o cov/test.info
lcov -a cov/base.info -a cov/test.info -o cov/result.info

rm -rf report
genhtml -t pcc-v2 -o report cov/result.info 

